ScrollableView subclass:#SequenceView
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Views-Text'
!

!SequenceView class methodsFor:'documentation'!

documentation
"
    implements a SelectionInListView with configurable scrollbars

    ST-80 compatibility

    [see also:]
        SelectionInListView
"
!

examples
"
    same behavior as a SelectionInListView
                                                                        [exBegin]
    |top doc holder|

    top := StandardSystemView extent:500@500.
    doc := self origin:0.0@ 0.0 corner:1.0@1.0 in:top.
    top openAndWait.
    doc list:#( 'a' 'b' 'c' 'd' ).
    doc multipleSelectOk:true.
                                                                        [exEnd]
"

! !

!SequenceView methodsFor:'accessing'!

font:aFont
    "set the font for the scrooled view
    "
    super font:aFont.
    self scrolledView font:aFont.
! !

!SequenceView methodsFor:'initialization'!

initialize
    "setup scrollable view a SelectionInList instance
    "
    super initialize.

    self verticalScrollable:true;     verticalMini:false.
    self horizontalScrollable:true; horizontalMini:false.

    self scrolledView:SelectionInListView new


! !

!SequenceView class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libwidg/SequenceView.st,v 1.1 1997-06-04 11:35:56 ca Exp $'
! !
